import javax.ejb.Stateless;
import javax.ejb.TransactionAttribute;
import javax.ejb.TransactionAttributeType;
import javax.persistence.EntityManager;
import javax.persistence.PersistenceContext;

@Stateless

public class EmployeeBean implements EmployeeServiceLocal, EmployeeServiceRemote {
  @PersistenceContext(unitName = "EmployeeService")
  private EntityManager manager;


  @TransactionAttribute(TransactionAttributeType.REQUIRED)
  public void doAction() {
    Customer cust = new Customer();

    cust.setFirstName("Joe");
    manager.persist(cust);
    
    System.out.println("Saved");
    
    cust = manager.find(Customer.class,cust.getSsn());
    
    System.out.println(cust.getFirstName());

    cust.setFirstName("new Name");
    
    manager.merge(cust);

    cust = manager.find(Customer.class,cust.getSsn());
    
    System.out.println(cust.getFirstName());
  }
}
